routes/web.php
    Route::post('/process/search', 'ProcessController@search')->name('process.search');

    Route::resource('/procedures-to-process', 'ProceduresToProcessController');
    Route::post('/procedures-to-process/search', 'ProceduresToProcessController@search')->name('procedures-to-process.search');

    Route::resource('/path', 'PathController');
    Route::post('/path/search', 'PathController@search')->name('path.search');

    Route::resource('/conditiontype', 'ConditionTypeController');
    Route::post('/conditiontype/search', 'ConditionTypeController@search')->name('conditiontype.search');

    Route::resource('/condition', 'ConditionController');
    Route::post('/condition/search', 'ConditionController@search')->name('condition.search');

    Route::resource('/casecondition', 'CaseConditionController');
    Route::post('/casecondition/search', 'CaseConditionController@search')->name('casecondition.search');

    Route::resource('/pathcondition', 'PathConditionController');
    Route::post('/pathcondition/search', 'PathConditionController@search')->name('pathcondition.search');

    Route::resource('/proposal', 'ProposalController');
    Route::post('/proposal/search', 'ProposalController@search')->name('proposal.search');

    Route::resource('/offer-category', 'OfferCategoryController');
    Route::post('/offer-category/search', 'OfferCategoryController@search')->name('offer-category.search');

    Route::resource('/offertype', 'OfferTypeController');
    Route::post('/offertype/search', 'OfferTypeController@search')->name('offertype.search');

    Route::resource('/offer', 'OfferController');
    Route::post('/offer/search', 'OfferController@search')->name('offer.search');

    Route::resource('/campaign', 'CampaignController');
    Route::post('/campaign/search', 'CampaignController@search')->name('campaign.search');

    Route::resource('/promotion', 'PromotionController');
    Route::post('/promotion/search', 'PromotionController@search')->name('promotion.search');

    Route::resource('/action-category', 'ActionCategoryController');
    Route::post('/action-category/search', 'ActionCategoryController@search')->name('action-category.search');

    Route::resource('/action-type', 'ActionTypeController');
    Route::post('/action-type/search', 'ActionTypeController@search')->name('action-type.search');
    Route::resource('/stageaction', 'StageActionController');
    Route::post('/stageaction/search', 'StageActionController@search')->name('stageaction.search');
    Route::resource('/action', 'ActionController');
    Route::post('/action/search', 'ActionController@search')->name('action.search');

    Route::resource('/caseaction', 'CaseActionController');
    Route::post('/caseaction/search', 'CaseActionController@search')->name('caseaction.search');

    Route::resource('/caseproposal', 'CaseProposalController');
    Route::post('/caseproposal/search', 'CaseProposalController@search')->name('caseproposal.search');

    Route::resource('/pathconditiondetail', 'PathConditionDetailController');
    Route::post('/pathconditiondetail/search', 'PathConditionDetailController@search')->name('pathconditiondetail.search');

    Route::resource('/case-type-config', 'CaseTypeConfigController');
    Route::post('/case-type-config/search', 'CaseTypeConfigController@search')->name('case-type-config.search');

    Route::resource('/case-report', 'CaseReportController');
    Route::post('/case-report/search', 'CaseReportController@search')->name('case-report.search');

    Route::resource('/case-type-report', 'CaseTypeReportController');
    Route::post('/case-type-report/search', 'CaseTypeReportController@search')->name('case-type-report.search');

    Route::resource('/case-subtype', 'CaseSubTypeController');
    Route::post('/case-subtype/search', 'CaseSubTypeController@search')->name('case-subtype.search');

    Route::resource('/case-log', 'CaseLogController');
    Route::post('/case-log/search', 'CaseLogController@search')->name('case-log.search');

    Route::post('/updatepathcondition', 'CaseAjaxController@updatepathcondition');
    Route::post('/createactiontostage', 'CaseAjaxController@createactiontostage');

    Route::get('/deleteaction', 'StageController@deleteaction');

    Route::resource('/case-status', 'CaseStatusController');
    Route::post('/case-status/search', 'CaseStatusController@search')->name('case-status.search');

    Route::resource('/case-channel', 'CaseChannelController');
    Route::post('/case-channel/search', 'CaseChannelController@search')->name('case-channel.search');
});

Route::resource('/eventmarketing', 'EventMarketingController');
Route::get('/eventmarketing/show/{id}', ['uses' => 'EventMarketingController@showevent']);
Route::post('/eventmarketing/search', 'EventMarketingController@search')->name('eventmarketing.search');
//Route::get('/profile/{username}','PerProfileController@profile');
//Route::get('/edit/{username}','EditprofileController@profile');
Route::get('noti/reply/{id}', ['as' => 'edit/reply', 'uses' => 'NotiController@reply']);

Route::get('noti/forward/{id}', ['as' => 'edit/forward', 'uses' => 'NotiController@forward']);

Route::prefix('/MessageCenter')->group(function () {
    Route::post('/noti/notigroup', 'NotiController@notigroup')->name('noti.notigroup');
    Route::get('/noti/sent-to-group', 'NotiController@creategroup')->name('noti.creategroup');

    Route::resource('/ccnoti', 'CCNotiController');
    Route::post('/ccnoti/search', 'CCNotiController@search')->name('ccnoti.search');

    Route::get('noti/show/{id}', ['as' => 'edit/show', 'uses' => 'NotiController@show']);
    Route::resource('/noti', 'NotiController');
    Route::post('/noti/search', 'NotiController@search')->name('noti.search');
    Route::get('/noti-sentbox', 'NotiController@sentbox');
    Route::post('/noti-sentbox/search', 'NotiController@searchsentbox')->name('noti.searchsentbox');
    Route::get('/noti-inbox', 'NotiController@inbox');
    Route::post('/noti-inbox/search', 'NotiController@searchinbox')->name('noti.searchinbox');
});

Route::resource('system-management/notiper', 'NotiperController');
Route::post('system-management/notiper/search', 'NotiperController@search')->name('notiper.search');
Route::get('sentbox', 'NotiperController@sentbox');
Route::post('sentbox/search', 'NotiperController@searchsentbox')->name('notiper.searchsentbox');
Route::get('inbox', 'NotiperController@inbox');
Route::post('inbox/search', 'NotiperController@searchinbox')->name('notiper.searchinbox');

Route::resource('perregis', 'PerregisController');
Route::get('quickregister', 'QuickregisController@create');
Route::post('quickregister/store', 'QuickregisController@store')->name('quickregis.store');
Route::get('message/forward/{id}', ['as' => 'edit/forward', 'uses' => 'NotiperController@forward']);
Route::get('message/reply/{id}', ['as' => 'edit/reply', 'uses' => 'NotiperController@reply']);
Route::post('/person/register', 'Auth\RegistePersonController@store');

Route::get('/wealth', function () {
    return view('dashboard');
})->middleware('auth');

Auth::routes();

Route::prefix('/wealththaiagent')->group(function () {
    Route::get('/', 'Auth\LoginController@showLoginForm')->name('login');
    Route::post('/', 'Auth\LoginController@login')->name('login.submit');
    Route::post('/', 'Auth\LoginController@login', ['before' => 'throttle:2,60', 'uses' => 'AuthController@postLogin'])->name('login.submit');

    Route::post('/password/email', 'Auth\ForgotPasswordController@sendResetLinkEmail')->name('password.email');

    Route::get('/password/reset', 'Auth\ForgotPasswordController@showLinkRequestForm')->name('password.request');
    Route::post('/password/reset', 'Auth\ResetPasswordController@reset');
    Route::get('/password/reset/{token}', 'Auth\ResetPasswordController@showResetForm')->name('password.reset');

});
Route::get('logout', 'Auth\LoginController@logout')->name('logout');

Route::get('/dashboard', 'DashboardController@index');
// Route::get('/system-management/{option}', 'SystemMgmtController@index');
Route::prefix('/')->group(function () {
    Route::get('/', 'Auth\PersonLoginController@showLoginForm')->name('person.login');
    Route::post('/', 'Auth\PersonLoginController@login')->name('person.login.submit');
    Route::get('/person', 'PersonController@index')->name('person.dashboard');
    Route::get('show', 'PersonController@show')->name('person.portfolio');

    Route::get('portshow', 'PersonController@portshow')->name('person.portfolio');

    Route::get('portshoworg', 'PersonController@portshoworg');
    Route::get('/portshoworgs/{org}', 'PersonController@org');

    Route::get('portshowgroup', 'PersonController@portshowgroup');
    Route::get('portshowgroups/{org}', 'PersonController@group');

    Route::get('referallink', 'PersonController@ref');
//Route::get('note','PersonController@note')->name('person.note');

    Route::get('create', 'PersonController@create');
    Route::get('logout', 'Auth\PersonLoginController@logout')->name('person.logout');

    Route::post('/password/email', 'Auth\PersonForgotPasswordController@sendResetLinkEmail')->name('person.password.email');

    Route::get('/password/reset', 'Auth\PersonForgotPasswordController@showLinkRequestForm')->name('person.password.request');
    Route::post('/password/reset', 'Auth\PersonResetPasswordController@reset');
    Route::get('/password/reset/{token}', 'Auth\PersonResetPasswordController@showResetForm')->name('person.password.reset');

});
Route::get('/note/{id}', ['as' => 'edit/note', 'uses' => 'PersonController@note']);

Route::resource('/organize', 'OrganizeController');
Route::post('/organize/search', 'OrganizeController@search')->name('organize.search');

Route::resource('/organizeauth', 'OrganizeAuthController');
Route::post('/organizeauth/search', 'OrganizeAuthController@search')->name('organizeauth.search');
//Route::get('/organizeauths/{org}','OrganizeAuthController@org');

app/CaseReport.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class CaseReport extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
     protected $table ='case_report';

  /**
    * The attributes that aren't mass assignable.
    *
    * @var array
    */
    protected $guarded = [];

}

app/Http/Controllers/CaseReportController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use App\Structure;
use Illuminate\Support\Facades\Auth;
use App\Block;
use App\View;
use App\Asset_cat;
use App\CaseReport;

use App\Http\Controllers\SidebarController;
class CaseReportController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */

    public function __construct()
    {
        $this->middleware('view');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
      //  $data = CaseReport::$colName;
      //$col =
      $data = CaseReport::paginate(30);
      $casereport = CaseReport::all();

        //return $data;

        return view('system-mgmt/case-report/index', ['casereport' => $casereport,'data' => $data]);
    }





    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view( 'system-mgmt/case-report/create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validateInput($request);
         CaseReport::create([
            'name' => $request['name'],
            'view_link_url' => $request['view_link_url'],
            'description' => $request['description']
        ]);
        return redirect ('/admin/case-report');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {

      //sidebar

$tree = session()->get('tree');
//sidebar


      $blocks = Structure::find($id)->portfolio;
      $structures = Structure::paginate(5);
      return view( 'system-mgmt/case-report/index', compact(['structures','blocks','tree']));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $data = CaseReport::find($id);
        // Redirect to department list if updating department wasn't existed
        if ($data == null) {
          $data = CaseReport::find($id);

            return redirect ('/admin/case-report');
        }

        return view( 'system-mgmt/case-report/edit', ['data' => $data]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $structure = CaseReport::findOrFail($id);
        $this->validateInput($request);
        $input = [
          'name' => $request['name'],
          'view_link_url' => $request['view_link_url'],
          'description' => $request['description']
        ];
        CaseReport::where('id', $id)
            ->update($input);

        return redirect ('/admin/case-report');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        CaseReport::where('id', $id)->delete();
         return redirect ('/admin/case-report');
    }

    /**
     * Search department from database base on some specific constraints
     *
     * @param  \Illuminate\Http\Request  $request
     *  @return \Illuminate\Http\Response
     */
    public function search(Request $request) {
        $constraints = [
            'name' => $request['name'],
            'description' => $request['description']
            ];
            $casereport = CaseReport::all();

       $data = $this->doSearchingQuery($constraints);
       return view( 'system-mgmt/case-report/index', ['casereport' => $casereport,'data' => $data, 'searchingVals' => $constraints]);
    }

    private function doSearchingQuery($constraints) {
        $query = CaseReport::query();
        $fields = array_keys($constraints);
        $index = 0;
        foreach ($constraints as $constraint) {
            if ($constraint != null) {
                $query = $query->where( $fields[$index], 'like', '%'.$constraint.'%');
            }

            $index++;
        }
        return $query->paginate(5);
    }
    private function validateInput($request) {
        $this->validate($request, [
        'name' => 'required|max:60|unique:asset_cat'
    ]);
    }
}

resources/views/system-mgmt/case-report/base.blade.php
@extends('layouts.app-template')
@section('content')
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <h1>
        Case Report
      </h1>
      <ol class="breadcrumb" >
        <li ><a style="color:#00325d"href="/admin/case-category"><i class="fa fa-dashboard"></i>Case Category</a></li>
        <li class="active"><a href="/admin/case-type">Case Type</a></li>
        <li class="active"><a href="/admin/case-subtype">Case SubType</a></li>
      </ol>
    </section>
    @yield('action-content')
    <!-- /.content -->
  </div>
@endsection

resources/views/system-mgmt/case-report/create.blade.php
@extends('system-mgmt.case-report.base')

@section('action-content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Add new Case Report</div>
                <div class="panel-body">
                    <form class="form-horizontal" role="form" method="POST" action="{{ route('case-report.store') }}">
                        {{ csrf_field() }}

                        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                            <label for="name" class="col-md-4 control-label"> Case Report</label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control" name="name" value="{{ old('name') }}" required autofocus>

                                @if ($errors->has('name'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('view_link_url') ? ' has-error' : '' }}">
                            <label for="view_link_url" class="col-md-4 control-label"> View Link Url</label>

                            <div class="col-md-6">
                                <input id="view_link_url" type="text" class="form-control" name="view_link_url" value="{{ old('view_link_url') }}"  >

                                @if ($errors->has('view_link_url'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('view_link_url') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('description') ? ' has-error' : '' }}">
                            <label for="description" class="col-md-4 control-label">Description</label>

                            <div class="col-md-6">
                                <textarea id="description" type="text" class="form-control" name="description" value="{{ old('description') }}"></textarea>

                                @if ($errors->has('description'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('description') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <button type="submit" class="btn btn-primary">
                                    Create
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/system-mgmt/case-report/edit.blade.php
@extends('system-mgmt.case-report.base')

@section('action-content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Update Case Report</div>
                <div class="panel-body">
                    <form class="form-horizontal" role="form" method="POST" action="{{ route('case-report.update', ['id' => $data->id]) }}">
                        <input type="hidden" name="_method" value="PATCH">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                            <label for="name" class="col-md-4 control-label">Case Report Name</label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control" name="name" value="{{ $data->name }}" required autofocus>

                                @if ($errors->has('name'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('view_link_url') ? ' has-error' : '' }}">
                            <label for="view_link_url" class="col-md-4 control-label">View Link Url</label>

                            <div class="col-md-6">
                                <input id="view_link_url" type="text" class="form-control" name="view_link_url" value="{{ $data->view_link_url }}"  >

                                @if ($errors->has('view_link_url'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('view_link_url') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('description') ? ' has-error' : '' }}">
                            <label for="description" class="col-md-4 control-label">Description</label>

                            <div class="col-md-6">
                                <textarea id="description" type="text" class="form-control" name="description" value="{{ $data->description }}"  >{{ $data->description }}</textarea>

                                @if ($errors->has('description'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('description') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <button type="submit" class="btn btn-primary">
                                    Update
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/system-mgmt/case-report/index.blade.php
@extends('system-mgmt.case-report.base')
@section('action-content')
    <!-- Main content -->

    <section class="content">

      <div class="box">
  <div class="box-header">
    <div class="row">
        <div class="col-sm-8">
          <h3 class="box-title">List of Case Report</h3>
        </div>
        <div class="col-sm-4">
          <a class="btn btn-primary" href="{{ route('case-report.create') }}">Add new Case Report</a>
        </div>
    </div>
  </div>
  <!-- /.box-header -->
  <div class="box-body">
      <div class="row">
        <div class="col-sm-6"></div>
        <div class="col-sm-6"></div>
      </div>
      <form method="POST" action="{{ route('case-report.search') }}">
         {{ csrf_field() }}
         @component('layouts.search', ['title' => 'Search'])
          @component('layouts.two-cols-search-row', ['items' => ['Name'],
          'oldVals' => [isset($searchingVals) ? $searchingVals['name'] : '']])
          @endcomponent
        @endcomponent
      </form>
    <div id="example2_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
      <div class="row">
        <div class="col-sm-12">

			<div style="overflow-x:auto;">
          <table id="example2" class="table table-bordered table-hover dataTable" role="grid" aria-describedby="example2_info">
            <thead>
              <tr role="row">
                <th   rowspan="1" colspan="1">Case Report Name</th>
                <th   rowspan="1" colspan="1">Vew Link</th>

                <th   class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Structure: activate to sort column ascending">Description</th>
                <th rowspan="1" colspan="2">Action</th>
              </tr>
            </thead>
            <tbody>
            @foreach ($data as $da)
                <tr role="row" class="odd">
                  <td>{{ $da->name}}</td>
                  <td>{{ $da->view_link_url}}</td>
                  <td>{{ $da->description }}</td>
                  <td>
                    <form class="row" method="POST" action="{{ route('case-report.destroy', ['id' => $da->id]) }}" onsubmit = "return confirm('Are you sure?')">
                        <input type="hidden" name="_method" value="DELETE">
                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                        <a href="{{ route('case-report.edit', ['id' => $da->id]) }}" class="btn btn-warning col-sm-3 col-xs-5 btn-margin">
                        Update
                        </a>
                        <button type="submit" class="btn btn-danger col-sm-3 col-xs-5 btn-margin">
                          Delete
                        </button>
                    </form>
                  </td>
              </tr>
            @endforeach
            </tbody>
            <tfoot>
              <tr>
                <th   rowspan="1" colspan="1">Case Report Name</th>
                <th   rowspan="1" colspan="1">Vew Link</th>

                <th   class="sorting" tabindex="0" aria-controls="example2" rowspan="1" colspan="1" aria-label="Structure: activate to sort column ascending">Description</th>
                <th rowspan="1" colspan="2">Action</th>
              </tr>
            </tfoot>
          </table>
			</div>
        </div>
      </div>
      <div class="row">
        <div class="col-sm-5">
          <div class="dataTables_info" id="example2_info" role="status" aria-live="polite">Showing 1 to {{count($data)}} of {{count($data)}} entries</div>
        </div>
        <div class="col-sm-7">
          <div class="dataTables_paginate paging_simple_numbers" id="example2_paginate">
            {{ $data->links() }}
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- /.box-body -->
</div>
    </section>

    <!-- /.content -->
@endsection